/**
 * Created by jie on 2017/10/9.
 * 1. winston log config
 */
var config={
    mongodb:{
        db:'mongodb://127.0.0.1:27017/userlogdb',     //MongoDB connection uri, pre-connected db object or promise object which will be resolved with pre-connected db object.
        options:'',  //MongoDB connection parameters (optional, defaults to {poolSize: 2, autoReconnect: true}).
        collection:'userlogdb',  //The name of the collection you want to store log messages in, defaults to 'log'.
        username:'userlog',  //The username to use when logging into MongoDB.
        password:'userlogpwd'  //The password to use when logging into MongoDB.
    },
    file:{
        datePattern:'yyyy-MM-dd',  // string representing the pattern to be used when appending the date to the filename (default 'yyyy-MM-dd'). The meta characters used in this string will dictate the frequency of the file rotation. For example, if your datePattern is simply 'HH' you will end up with 24 log files that are picked up and appended to every day.
        filepath: 'F://GitHbu',  //The filename of the logfile to write output to.
        localTime:false, //A boolean to define whether time stamps should be local (default 'false' means that UTC time will be used).
        maxDays:0   //A number representing the maximum number of days a log file will be saved. Any log file older than this specified number of days will be removed. If not value or a 0, no log files will be removed.
    }
}

module.exports=config;

