/**
 * Created by jie on 2017/10/9.
 * 1. winston log config
 */
var config={
        mongodb:{
            level:'debug',
            silent:false,  //Boolean flag indicating whether to suppress output, defaults to false.
            db:'mongodb://127.0.0.1:27017/userlogdb',     //MongoDB connection uri, pre-connected db object or promise object which will be resolved with pre-connected db object.
           // options:'',  //MongoDB connection parameters (optional, defaults to {poolSize: 2, autoReconnect: true}).
            collection:'userlogdb',  //The name of the collection you want to store log messages in, defaults to 'log'.
            storeHost:true,  //Boolean indicating if you want to store machine hostname in logs entry, if set to true it populates MongoDB entry with 'hostname' field, which stores os.hostname() value.
            username:'userlog',  //The username to use when logging into MongoDB.
            password:'userlogpwd',  //The password to use when logging into MongoDB.
            label:'',   //Label stored with entry object if defined.
            name:'wis-mongodb',  //Transport instance identifier. Useful if you need to create multiple MongoDB transports
            capped:false,  //In case this property is true, winston-mongodb will try to create new log collection as capped, defaults to false.
           // cappedSize:'',  // Size of logs capped collection in bytes, defaults to 10000000.
           // cappedMax:'',  //Size of logs capped collection in number of documents.
            tryReconnect:false //Will try to reconnect to the database in case of fail during initialization. Works only if db is a string. Defaults to false.
          //  expireAfterSeconds:''  //Seconds before the entry is removed. Works only if capped is not set.
        },
        file:{
            name:'debuglog',
            datePattern:'yyyy-MM-dd',  // string representing the pattern to be used when appending the date to the filename (default 'yyyy-MM-dd'). The meta characters used in this string will dictate the frequency of the file rotation. For example, if your datePattern is simply 'HH' you will end up with 24 log files that are picked up and appended to every day.
            filename: 'debuglog.log',  //The filename of the logfile to write output to.
            prepend:false,  //Defines if the rolling time of the log file should be prepended at the beginning of the filename (default 'false').
            localTime:false,  //A boolean to define whether time stamps should be local (default 'false' means that UTC time will be used).
            zippedArchive:false,  //A boolean to define whether or not to gzip archived log files (default 'false').
            maxDays:0   //A number representing the maximum number of days a log file will be saved. Any log file older than this specified number of days will be removed. If not value or a 0, no log files will be removed.
        }
}

module.exports=config;

